Bug 189268 - Review Request: xscreensaver
Review Request: xscreensaver
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 169107
  Show dependency treegraph
 
Reported: 2006-04-18 14:13 EDT by Mamoru TASAKA
Modified: 2013-01-09 22:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 02:52:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
kevin: fedora‑cvs+


Attachments (Terms of Use)
rpmlint log (2.14 KB, text/plain)
2006-04-19 12:19 EDT, Mamoru TASAKA
no flags Details
rpmlint log for xscreensaver-4.99.2.3-4 (442 bytes, text/plain)
2006-04-19 14:56 EDT, Mamoru TASAKA
no flags Details
rpmlint log for xscreensaver-4.24-4.2 (533 bytes, text/plain)
2006-04-20 15:51 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Mamoru TASAKA 2006-04-18 14:13:41 EDT
Spec URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/xscreensaver.spec
SRPM URL: http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/xscreensaver-4.99.2.3-3.src.rpm
Description: 
XScreenSaver is the standard screen saver collection shipped on most Linux and Unix systems running the X11 Window System. More than 200 display modes are included in this package.
 On X11 systems, XScreenSaver is two things: it is both a large collection of screen savers; and it is also the framework for blanking and locking the screen.
Comment 1 Mamoru TASAKA 2006-04-18 14:30:52 EDT
FC5 core has two X window locking system, gnome-screensaver and xscreensaver,
and fedora core now prefers to use gnome-screensaver because it has some new
mechanism such as udev and so on( I remember that this topic is argued on
mailing list, but I forgot when and where) .

So, Ray Strode, the current XScreenSaver maintainer (in core) has had a plan to
move xscreensaver to Extras and has looked for a new maintainer ( in Extras ). 
I have already suggested to him that I take over the maintainership from him (by
mail).
Comment 2 Ray Strode [halfline] 2006-04-19 11:03:21 EDT
Adding Jamie, so he can give his input on the packages if he wants to.
Comment 3 Ray Strode [halfline] 2006-04-19 11:08:29 EDT
So my first thought is 5.0 isn't released yet, and Jamie has this on his website:

"I encourage you to try it out and report any
bugs that you find, but please don't distribute it."

You may want to hold off on pushing it.  On the other hand, this is rawhide
we're talking about, so maybe it would be better to get it out sooner, so we get
more testing.  I would ask Jamie and see what he thinks.


Comment 4 Ray Strode [halfline] 2006-04-19 11:42:53 EDT
Have you run rpmlint on the package?  If so, would you mind attaching the output
of it here?
Comment 5 Ray Strode [halfline] 2006-04-19 11:53:13 EDT
I see this in the build log:
checking for bc... no

configure: WARNING: Your system doesn't have "bc", which has been a standard
                  part of Unix since the 1970s.  Come back when your vendor
                  has grown a clue.

We should investigate what the ramifications are, or just add a BuildReq on bc.
Comment 6 Mamoru TASAKA 2006-04-19 12:19:34 EDT
Created attachment 127992 [details]
rpmlint log

First, rpmlint log for rpms compiled under development environment.
Comment 7 Mamoru TASAKA 2006-04-19 12:28:59 EDT
(In reply to comment #5)
> checking for bc... no
> 
> configure: WARNING: Your system doesn't have "bc", which has been a standard
>                   part of Unix since the 1970s.  Come back when your vendor
>                   has grown a clue.
> 

I removed the necessity of bc by adding Patch268:
xscreensaver-5.00a9-remove-bc.patch (this should work with bash configure) .....
bc is only used in configure and I can't understand the necessity of bc any more
because the usage of bc in configure can be substituded with expr in coreutils.
 
Without this patch, configure stops at this line if not having bc.
Comment 8 Mamoru TASAKA 2006-04-19 12:48:02 EDT
A question....

Now I add some patches which add some enhanced function for my TASTE or INTEREST
such as.......

- re-blank of re-lock window when restarting
- cycle screen hack when locked and middle button of mouse is pressed
- show hack number on xscreensaver-demo
- add the selection option of quad mode
- add a option to show hacks on gnome 2 background

and add some fixes which I think is proper:
- kill hack when window size is too small (cause floating point exception)
- kill hack on xscreensaver-demo window before blanking screen by pushing 
  a button on xscreensaver-demo (otherwise, it sometimes leaves zombie process...
  of which the reason I don't know)

I don't know whether Jamie accepts these.
Comment 9 Mamoru TASAKA 2006-04-19 12:52:27 EDT
Umm... I didn't the button "ASSIGNED"...
Comment 10 Ray Strode [halfline] 2006-04-19 13:38:23 EDT
Hi Mamoru,

Since you are going to maintain the package, you're free, of course, to add
changes that match your taste and interests.  In general, you should try to get
as many patches as you can that are suitable for upstream, upstream, though.

It reduces the pain of maintaining the package and it means a wider audience of
people benefit from your changes.
Comment 11 Ray Strode [halfline] 2006-04-19 13:41:51 EDT
Thanks for the rpmlint output in attachment 127992 [details].

Can you fix the problems with E: by them? Also, can you look at the ones with W:
by them and see if fixing them makes sense?  If you have any questions feel free
to ask.
Comment 12 Mamoru TASAKA 2006-04-19 14:56:35 EDT
Created attachment 128002 [details]
rpmlint log for xscreensaver-4.99.2.3-4

Built: xscreensaver-4.99.2.3-4

bc warning is erased.
Comment 13 Jamie Zawinski 2006-04-19 18:29:33 EDT
Come on, guys.  What part of "please do not distribute this" was unclear?

There will be a real release in a month or two.

Please do not distribute my alpha and beta releases.
Comment 14 Jamie Zawinski 2006-04-20 00:15:54 EDT
> I can't understand the necessity of bc any more because the usage
> of bc in configure can be substituded with expr in coreutils.

xscreensaver (and its configure script) run on systems that do not have bash or (I believe) expr.
Comment 16 Ray Strode [halfline] 2006-04-20 15:00:05 EDT
Hi Mamoru,

Okay, as per comment 13, let's go with 4.24 for the initial import to extras and
you can switch to 5.0 when it is released in a couple of months.

Does the 4.24-4 rpmlint output look okay?

Thanks for doing the FC-5 update as well.  I'll see what I can do about getting
your changes pushed out.
Comment 17 Mamoru TASAKA 2006-04-20 15:51:36 EDT
Created attachment 128062 [details]
rpmlint log for xscreensaver-4.24-4.2

To remove one rpmlint complaint, I repackaged xscreensaver ver4 rpm 
to 4.24-4.2 .

(srpm and spec file are located as above)
Comment 18 Mamoru TASAKA 2006-04-30 10:24:39 EDT
Jamie and me are discussing my patch now.
Comment 19 Ray Strode [halfline] 2006-05-01 14:09:46 EDT
great to hear!

Jesse do you have any comments about Mamoru's proposed package?
Comment 20 Jesse Keating 2006-05-01 14:18:07 EDT
Just to double check, all the runtime defines are defaulted to something that is
what we want in the plague build env right?  We won't be able to pass rpmbuild
options inside the build system so they need to default to what makes sense. 
Other than that a cursory look looks ok, although this is a very complicated
spec file (:
Comment 21 Mamoru TASAKA 2006-05-06 16:02:27 EDT
For version 5, I repackaged rpms as version 4.99.2.4-0.4 (put on the same URL).
rpmlint results are:

rpmlint log for xscreensaver-base-4.99.2.4-0.4.fc6.i386.rpm
W: xscreensaver-base non-conffile-in-etc /etc/bash_completion.d/xscreensaver

rpmlint log for xscreensaver-debuginfo-4.99.2.4-0.4.fc6.i386.rpm

rpmlint log for xscreensaver-extras-4.99.2.4-0.4.fc6.i386.rpm
W: xscreensaver-extras non-standard-dir-in-usr libexec

rpmlint log for xscreensaver-gl-extras-4.99.2.4-0.4.fc6.i386.rpm
W: xscreensaver-gl-extras non-standard-dir-in-usr libexec



Rpm spec file is cleaned up to remove annoying complexity, and some patches are
removed for the request of Jamie. The rest patches are now under discussion with
Jamie and me.

Currently, I removed version 4 rpm for extras: I will use xscreensaver-4.24-2
for a moment.
Comment 22 Mamoru TASAKA 2006-05-09 16:07:13 EDT
For version 5, I repackaged rpms as version 4.99.2.4-0.5.

Two patches about demo-Gtk.c zombie process issue are integrated into one patch.
Comment 23 Ray Strode [halfline] 2006-05-09 17:04:54 EDT
Hi Mamoru,

I think things are good enough to go in and you really shouldn't have to wait
any longer.

Go ahead and build it.  Tell me when it's done and we can get xscreensaver
dropped from core.
Comment 24 Jamie Zawinski 2006-05-09 18:59:14 EDT
Please wait for my release.  What is your big hurry?  It won't be long.

For one thing, Mamoru has been calling it "4.99", of which there is no such thing.  If you release this, it's 
only going to cause hassle for me.  Please wait.
Comment 25 Ray Strode [halfline] 2006-05-10 14:44:56 EDT
Hi Jamie, Momoru,

Just to be clear, I was referring to xscreensaver 4.24 in comment 23, not
xscreensaver 4.99.

The 4.99 rpms are just in preparation for the 5.0 release, yes?  They aren't
ever going to be built into extras, right?
Comment 26 Jamie Zawinski 2006-05-10 14:50:45 EDT
Ah. Sorry, I misunderstood.
Comment 27 Mamoru TASAKA 2006-05-11 03:07:57 EDT
Hello, Ray and Jamie;

I intended to use xscreensaver-4.24-2 until the formal xscreensaver version 5 is
released. The rpm versioned 4.99-XXXXXX by me is for the preparation and
discussion to release version 5.

However, I decided that I have to fix several bugs on 4.24-2 before  moving
xscreensaver to extras. I added the minimum fixes I thought to 4.24-2, removed
rpmlint complaint and repackaged to 4.24-3 (4.24-4 and above is erased....) ,
put on the same URL.  I think this rpm (4.24-3) can be released in extras soon.

Then.... What should I do? Ray, I have read
http://fedoraproject.org/wiki/Extras/Contributors, however, am I formally
sponcered by you? If so, I will create fedora account and go ahead.
Comment 28 Ray Strode [halfline] 2006-05-12 18:04:37 EDT
Yup! This bug is blocking FE-ACCEPT now.  Get the account and build the package.

Thanks much.
Comment 29 Mamoru TASAKA 2006-05-14 10:58:39 EDT
Well, I again read http://fedoraproject.org/wiki/Extras/Contributors,
created my fedora account and requested to add myself to cvsextras group.

I received the e-mail that "Fedora user mtasaka, aka Mamoru Tasaka has requested
membership in the cvsextras group and needs a sponsor". 

My current status about cvsextras group is 
"role type: user" "role status: unapproved" "Sponsor: none". Can I expect that
someone changes this status?
Comment 30 Mamoru TASAKA 2006-05-17 05:38:13 EDT
I saw that this bug is blocked by FE-ACCEPT. But currently it seems that 
I have no sponsors on my cvsgroup.

Note: This is my first review package.

I made this bug block FE-NEEDSPONCER. My srpm and spec are still on
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SRPMS/xscreensaver-4.24-3.src.rpm
and
http://www.ioa.s.u-tokyo.ac.jp/~mtasaka/dist/extras/development/SPECS/xscreensaver.spec


Comment 31 Mamoru TASAKA 2006-05-17 05:49:37 EDT
Another question:

Jamie and me are discussing for releasing 5 now. In the discussion one of the 
most concerns is about removing some hacks for Fedora packages.

Ray, could you tell us why the hacks (in remove-display-modes) were selected to
be removed from Fedora packages?
Comment 32 Mamoru TASAKA 2006-05-18 09:22:42 EDT
Okay, for pre 5.00 version, I updated to 4.99.2.5-0.1.

Jamie, I will send another e-mail later.
Comment 34 Ray Strode [halfline] 2006-05-26 13:40:14 EDT
Hi Mamoru,

Sorry there has been a bit of confusion on my part regarding getting you
sponsored.  At one point I was told all Red Hat employees are automatically
sponsors.  This changed at some point and so I need to get access to sponsor you.

In the mean time, Jesse has approved your access.

Sorry for the confusion.
Comment 35 Ray Strode [halfline] 2006-05-26 13:44:52 EDT
wrt to comment 31.

The various hacks were removed because they would display uncensored images or
content on the internet, or because they required packages we don't ship to use.

Use your best judgement when deciding which things to remove or add from that file.
Comment 36 Mamoru TASAKA 2006-05-26 14:01:09 EDT
Hello, Ray.

Okay. I just received the e-mail saying "Your Fedora cvsextras membership has
been sponsored". Thanks!! Now I try to upload my src.rpm to EXTRAS-devel.

For removing hacks issue, I discussed with Jamie several times. After that,
I decided that now xscreensaver is about to move to FE, I will not remove any
hacks as Jamie requires and I always do so. Additional comment is that for
webcollage issue, xscreensaver 5.00 version now  has the option that webcollage
don't access to Web.
Comment 37 Mamoru TASAKA 2006-05-26 16:39:52 EDT
I am now continuing to try uploading xscreensaver-5.00-1. I am now faced on a
plague-client error, for which I might have to ask to mailing list.

By the way, could you check my xscreensaver-4.24-3.2 if you want, Ray?
I hope that this rpm can close 191769, 187892, 182552. I also removed rpmlint
ERROR, and and applied some fixed already applied in xscreensaver-5.00.
Comment 38 Mamoru TASAKA 2006-05-27 08:30:37 EDT
This time, I could upload my src.rpm. Then I tried to rebuild it but it failed
perhaps because development repomd.xml seems to be broken currently.

I re-try to rebuild when repomd problem is solved.
Comment 39 Mamoru TASAKA 2006-05-28 09:27:06 EDT
Umm.....

As I posted to FE mailing list, buildsys for FE-devel seems to be broken for
more than a day. 

The jobs which were queued to FE-devel buildsys within a day ago ALL FAILED. All
the queue (not only by me but also for the other packages by other packagers)
left empty build.log and root.log complains like:

Cannot open/read repomd.xml file for repository: core
failure: repodata/repomd.xml from core: [Errno 256] No more mirrors to try.
For my job, the queue results are in 
http://buildsys.fedoraproject.org/logs/fedora-development-extras/10000-xscreensaver-5.00-1.fc6/


Jesse, is this related to your comment in 
https://www.redhat.com/archives/fedora-announce-list/2006-May/msg00010.html
and the discussion starting from 
https://www.redhat.com/archives/fedora-devel-list/2006-May/msg00797.html ?
Comment 40 Mamoru TASAKA 2006-05-28 21:17:31 EDT
For the buildsys problem, I filed it as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=193452 and Jeremy Katz
fixed this bug.

Rebuilding suceeded for FE-devel!! When I am able to see xscreensaver-5.00-1
rpms on internet, I will close this bug as CLOSED NEXTRELEASE.
Comment 41 Mamoru TASAKA 2006-05-30 02:52:08 EDT
Now I close this bug as CLOSED NEXTRELEASE.

Okay, xscreensaver-5.00-1.fc6 was released in FE-devel. 
I won't release xscreensaver-5.00-1.fc5 in FE-5 because FC-5 has xscreensaver 4.24
-2. 

Ray, please remove xscreensaver 4.24-2 from FC-devel.  Perhaps by FC6-T1, we can
completely move xscreensaver from FC to FE.

I thank very much to all the people for helping me a lot about this issue. 
Comment 42 Lubomir Rintel 2010-07-09 05:14:46 EDT
Package Change Request
======================
Package Name: xscreensaver
New Branches: EL-6
Owners: lkundrak

The Fedora maintainer (mtasaka) is not maintaining EPEL packages.
Comment 43 Mamoru TASAKA 2010-07-09 05:25:38 EDT
To cvs admins:
http://fedoraproject.org/wiki/EPEL/ContributorStatusNo
Comment 44 Kevin Fenzi 2010-07-09 14:01:29 EDT
CVS done (by process-cvs-requests.py).

Note You need to log in before you can comment on or make changes to this bug.